bullet = {}
bullet.img = {}

bullet.img[1] = love.graphics.newImage("art/bulhit1.png")
bullet.img[2] = love.graphics.newImage("art/bulhit2.png")
bullet.img[3] = love.graphics.newImage("art/bulhit3.png")

bullet.hitSound = love.audio.newSource("sfx/bhit.wav")
bullet.hitSound:setVolume(.01)

for i=1,3 do 
	bullet.img[i]:setFilter("nearest", "nearest") 
end

function bullet.insert(x,y, frame, animtimer, bnum)
	bullet.hitSound:stop()
	bullet.hitSound:play()
	table.insert(bullet, {x = x, y = y, frame = bullet.img[1], animtimer = 0, bnum = 1})
	zombie.hitDetection()
end

function bullet.draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(255, 255, 255)
		love.graphics.draw(v.frame,v.x,v.y,0,2,2)
	end
end

function bullet.update(dt)
	for i,v in ipairs(bullet) do
		v.animtimer = v.animtimer + dt 
		if v.animtimer > .1 then
			v.animtimer = 0
			v.bnum = v.bnum + 1
			if v.bnum > 3 then table.remove(bullet,i) end
		end
		v.frame = bullet.img[v.bnum]
	end
end