require "player"
require "zombie"
require "bullet"

function love.load()
	love.graphics.getBackgroundColor(255,255,255)
	player.load()
	player.changeWeapon(dt)
end

function love.update(dt)  
	player.movement(dt)
	player.animation(dt)
	zombie.update(dt)
	zombie.make(dt)
	bullet.update(dt)
end

function love.draw()
	zombie.draw()
	player.draw()
	bullet.draw()
end